<?php
/**
*
* @package phpBB Extension - Link bbCode
* @copyright (c) 2016 dmzx - http://www.dmzx-web.net
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace dmzx\linkbbcode\migrations;

class update_table extends \phpbb\db\migration\migration
{
	public function update_data()
	{
		return array(
		 array('custom', array(array($this, 'install_bbcode_for_linkbbcode'))),
		);
	}

	public function install_bbcode_for_linkbbcode()
	{
		$bbcode_data = array(
			'bagdge=' => array(
				'bbcode_helpline'		=> '[download]URL TEXT[/download]',
				'bbcode_match'			=> '[download={INTTEXT1}]{INTTEXT2} {URL} {INTTEXT}[/download]',
				'bbcode_tpl'			=> '<div class="download-blocks"><dl class="extra-box download {INTTEXT1}"><dt><a href="{URL}">{INTTEXT2}</a></dt><dd>{INTTEXT}</dd></dl></div>',
			),
		);

		global $db, $request, $user;
		$acp_manager = new \dmzx\linkbbcode\includes\acp_manager($db, $request, $user, $this->phpbb_root_path, $this->php_ext);
		$acp_manager->install_bbcodes($bbcode_data);
	}
}
